%define name radvd
%define version 0.5.0
%define release 2mdk
%define initdir %{_initrddir}

Summary: The IPv6 Router Advertisement Daemon
Url: ftp://ftp.cityline.net/pub/systems/linux/network/ipv6/radvd/
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Servers
Source0: ftp://ftp.cityline.net/pub/systems/linux/network/ipv6/radvd/%{name}-%{PACKAGE_VERSION}.tar.bz2
Source1: radvd-init
Source2: radvd.conf
Prereq: /sbin/chkconfig /sbin/service
Buildroot: %{_tmppath}/%{name}-root

%description
IPv6 has a lot more support for autoconfiguration than IPv4. But
for this autoconfiguration to work on the hosts of a network, the
routers of the local network have to run a program which answers
the autoconfiguration requests of the hosts.

On Linux this program is called radvd, which stands for Router
ADVertisement Daemon. This daemon listens to router solicitations (RS)
and answers with router advertisement (RA). Furthermore unsolicited
RAs are also send from time to time.

These RAs contain information, which is used by hosts to configure
their interfaces. This information includes address prefixes, the MTU of
the link and information about default routers.


%prep
%setup -q
#%patch0 -p0
#%patch1 -p1
#%patch2 -p0
#%patch3 -p1 
#%patch4 -p1

%build
%serverbuild
%configure \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir}
%make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT sbindir=$RPM_BUILD_ROOT/%{_sbindir} mandir=$RPM_BUILD_ROOT/%{_mandir} install
mkdir -p $RPM_BUILD_ROOT%{initdir}
install -m644 $RPM_SOURCE_DIR/radvd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m755 $RPM_SOURCE_DIR/radvd-init $RPM_BUILD_ROOT%{initdir}/radvd

perl -pi -e "s|/etc/rc.d/init.d|%{_initrddir}|" $RPM_BUILD_ROOT%{_initrddir}/*
%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service radvd

%preun
%_preun_service radvd
 
%files
%defattr(-,root,root)
%doc README INTRO.html radvd.conf.example
%config(noreplace) %{_sysconfdir}/radvd.conf
%config(noreplace) %{initdir}/*
%{_sbindir}/*
%{_mandir}/*/*

%changelog
* Wed Apr  4 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.5.0-2mdk
- use server macros

* Wed Nov  8 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.0-1mdk
- First Mandrake version.
